CommandResultHolder (Selenium RC Server (Coreless) 1.0.1 API)
Date: 2009-06-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openqa.selenium.server
Class CommandResultHolder

    java.lang.Object
      org.openqa.selenium.server.CommandResultHolder

    public class CommandResultHolder

extends java.lang.Object

Holds the command to be next run in the browser

Version:
  $Revision: 734 $
Author:
  Jennifer Bevan

Field Summary
`protected static java.lang.String` | `CMD_NULL_RESULT_MSG`
`protected static java.lang.String` | `CMD_TIMED_OUT_MSG`

Constructor Summary
`CommandResultHolder(java.lang.String queueId, int timeoutInSeconds)`

Method Summary
`java.lang.String` | `getResult()` Get a result out of the result holder (from the browser), waiting no longer than the timeout.
`boolean` | `isEmpty()`
`java.lang.String` | `peek()`
`void` | `poisonPollers()`
`boolean` | `putResult(java.lang.String res)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CMD_TIMED_OUT_MSG

    protected static final java.lang.String CMD_TIMED_OUT_MSG

See Also:
  Constant Field Values

### CMD_NULL_RESULT_MSG

    protected static final java.lang.String CMD_NULL_RESULT_MSG

See Also:
  Constant Field Values

Constructor Detail

### CommandResultHolder

    public CommandResultHolder(java.lang.String queueId,
                               int timeoutInSeconds)

Method Detail

### getResult

    public java.lang.String getResult()

  Get a result out of the result holder (from the browser), waiting no longer than the timeout.

  Returns:
    the result from the result holder

### putResult

    public boolean putResult(java.lang.String res)

### isEmpty

    public boolean isEmpty()

### peek

    public java.lang.String peek()

### poisonPollers

    public void poisonPollers()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.